Bug 1195240 - dnf-automatic "how to use"
Summary: dnf-automatic "how to use"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Honza Silhan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-23 13:05 UTC by Langdon White
Modified: 2015-05-08 07:33 UTC (History)
6 users (show)

Fixed In Version: dnf-plugins-core-0.1.5-2.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-06 18:48:54 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Langdon White 2015-02-23 13:05:12 UTC
Description of problem:
Would be nice if this page: http://dnf.readthedocs.org/en/latest/automatic.html told a user how to enable dnf-automatic. Plenty of documentation about how to configure but nothing about "when it is properly configured, setup this cron job to make it run every day" or what not.

Comment 1 Langdon White 2015-02-23 13:08:34 UTC
Digging some more... appears that the docs should say something like "once you are happy with the configuration, systemctl enabled dnf-automatic && systemctl start dnf-automatic" or some such.

Comment 2 Michael Monreal 2015-03-03 22:10:13 UTC
I have been wondering about this myself, especially since......

sudo systemctl enable dnf-automatic
The unit files have no [Install] section. They are not meant to be enabled
using systemctl.
Possible reasons for having this kind of units are:
1) A unit may be statically enabled by being symlinked from another unit's
   .wants/ or .requires/ directory.
2) A unit's purpose may be to act as a helper for some other unit which has
   a requirement dependency on it.
3) A unit may be started when needed via activation (socket, path, timer,
   D-Bus, udev, scripted systemctl call, ...).

What is the correct way to use this?

Comment 3 Honza Silhan 2015-03-13 15:26:23 UTC
Thanks for the report and solution. Fixed by in the doc [1].

[1] http://dnf.readthedocs.org/en/latest/automatic.html#run-dnf-automatic

Comment 4 Fedora Update System 2015-03-31 18:17:52 UTC
hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 5 Fedora Update System 2015-04-02 01:44:08 UTC
Package hawkey-0.5.4-1.fc22, dnf-0.6.5-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hawkey-0.5.4-1.fc22 dnf-0.6.5-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-5337/hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-04-03 11:39:08 UTC
dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dnf-plugins-extras-0.0.6-2.fc22,yum-utils-1.1.31-505.fc22,yum-3.4.3-505.fc22,hawkey-0.5.4-1.fc22,dnf-0.6.5-1.fc22

Comment 7 Fedora Update System 2015-04-06 18:48:54 UTC
dnf-plugins-extras-0.0.6-2.fc22, yum-3.4.3-505.fc22, dnf-0.6.5-1.fc22, yum-utils-1.1.31-505.fc22, hawkey-0.5.4-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-16 09:05:17 UTC
dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dnf-plugins-core-0.1.5-2.fc21,dnf-0.6.4-5.fc21

Comment 9 Fedora Update System 2015-05-08 07:33:17 UTC
dnf-plugins-core-0.1.5-2.fc21, dnf-0.6.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.